import 'package:protontime/src/messages/lookup.dart';
import 'package:protontime/src/messages/language.dart';
export 'package:protontime/src/messages/language.dart';

class MessageConfig {
  static String defaultLanguage = 'en';
  static String defaultShortLanguage = 'en_short';

  static Map<String, Lookup> quickMsglookup = {
    'am': AmMessages(),
    'am_short': AmShortMessages(),
    'ar': ArMessages(),
    'ar_short': ArShortMessages(),
    'az': AzMessages(),
    'az_short': AzShortMessages(),
    'be': BeMessages(),
    'be_short': BeShortMessages(),
    'bs': BsMessages(),
    'bs_short': BsShortMessages(),
    'ca': CaMessages(),
    'ca_short': CaShortMessages(),
    'cs': CsMessages(),
    'cs_short': CsShortMessages(),
    'da': DaMessages(),
    'da_short': DaShortMessages(),
    'de': DeMessages(),
    'de_short': DeShortMessages(),
    'dv': DvMessages(),
    'dv_short': DvShortMessages(),
    'en': EnMessages(),
    'en_short': EnShortMessages(),
    'es': EsMessages(),
    'es_short': EsShortMessages(),
    'et': EtMessages(),
    'et_short': EtShortMessages(),
    'fa': FaMessages(),
    'fa_short': FaShortMessages(),
    'fi': FiMessages(),
    'fi_short': FiShortMessages(),
    'fr': FrMessages(),
    'fr_short': FrShortMessages(),
    'gr': GrMessages(),
    'gr_short': GrShortMessages(),
    'he': HeMessages(),
    'he_short': HeShortMessages(),
    'hi': HiMessages(),
    'hi_short': HiShortMessages(),
    'hu': HuMessages(),
    'hu_short': HuShortMessages(),
    'id': IdMessages(),
    'id_short': IdShortMessages(),
    'it': ItMessages(),
    'it_short': ItShortMessages(),
    'ja': JaMessages(),
    'ja_short': JaMessages(),
    'km': KmMessages(),
    'km_short': KmShortMessages(),
    'ko': KoMessages(),
    'ko_short': KoMessages(),
    'ku': KuMessages(),
    'ku_short': KuShortMessages(),
    'lv': LvMessages(),
    'lv_short': LvShortMessages(),
    'mn': MnMessages(),
    'mn_short': MnShortMessages(),
    'ms_my': MsMyMessages(),
    'ms_my_short': MsMyShortMessages(),
    'nb_no': NbNoMessages(),
    'nb_no_short': NbNoShortMessages(),
    'nl': NlMessages(),
    'nl_short': NlShortMessages(),
    'nn_no': NnNoMessages(),
    'nn_no_short': NnNoShortMessages(),
    'pl': PlMessages(),
    'pl_short': PlMessages(),
    'pt_br': PtBrMessages(),
    'pt_br_short': PtBrMessages(),
    'ro': RoMessages(),
    'ro_short': RoShortMessages(),
    'ru': RuMessages(),
    'ru_short': RuShortMessages(),
    'rw': RwMessages(),
    'rw_short': RwShortMessages(),
    'sr': SrMessages(),
    'sr_short': SrShortMessages(),
    'sv': SvMessages(),
    'sv_short': SvShortMessages(),
    'ta': TaMessages(),
    'ta_short': TaMessages(),
    'th': ThMessages(),
    'th_short': ThShortMessages(),
    'tk': TkMessages(),
    'tk_short': TkMessages(),
    'tr': TrMessages(),
    'tr_short': TrShortMessages(),
    'uk': UkMessages(),
    'uk_short': UkShortMessages(),
    'ur': UrMessages(),
    'ur_short': UrMessages(),
    'vi': ViMessages(),
    'vi_short': ViShortMessages(),
    'zh_ch': ZhCnMessages(),
    'zh_ch_short': ZhCnMessages(),
    'zh': ZhMessages(),
    'zh_short': ZhMessages(),
  };
}
